Author:     Noah Misch <noah@leadboat.com>
Commit:     Noah Misch <noah@leadboat.com>

    Refresh function name in CRC-associated Valgrind suppressions.
    
    Back-patch to 9.5, where commit 4f700bcd20c087f60346cb8aefd0e269be8e2157
    first appeared.
    
    Reviewed by FIXME.  Reported by Andrew Dunstan.
    
    Discussion: https://postgr.es/m/4dfabec2-a3ad-0546-2d62-f816c97edd0c@2ndQuadrant.com

diff --git a/src/tools/valgrind.supp b/src/tools/valgrind.supp
index ec47a22..acdb620 100644
--- a/src/tools/valgrind.supp
+++ b/src/tools/valgrind.supp
@@ -45,7 +45,7 @@
 	padding_XLogRecData_CRC
 	Memcheck:Value8
 
-	fun:pg_comp_crc32c
+	fun:pg_comp_crc32c*
 	fun:XLogRecordAssemble
 }
 
@@ -89,7 +89,7 @@
 {
 	padding_twophase_CRC
 	Memcheck:Value8
-	fun:pg_comp_crc32c
+	fun:pg_comp_crc32c*
 	fun:EndPrepare
 }
 
